using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Net;

namespace ImageBoardServerApp.Data;

public class UserData
{
    
    [Required]
    [DatabaseGenerated((DatabaseGeneratedOption.Identity))]
    [Key]
    public int UserID { get; set; }
    
    [Required]
    public string Ipv4Address { get; set; }
    
    [Required]
    public bool Banned { get; set; }
    
    [Required]
    public long lastActionTimeStamp { get; set; }
    
    public List<PostData> Posts { get; set; }
    
    public List<CommentData> Comments { get; set; }
}